# zmeny grafických objektov prostredníctvom funkcie "delete", "move" a "itemconfig" 

import tkinter

obrazok1 = tkinter.Canvas(bg='white', width=600, height=700)       # "bg"-nastavenie farby pozadia, "width"-šírka, "height"-výška
obrazok1.pack()


x1=100
y1=100
s,v=100,200
id1=obrazok1.create_rectangle(x1, y1, x1+s, y1+v, fill='blue')     # príkaz "create" je aj funkcia, ktorá vracia celé číslo ako identifikátor nakresleného grafického objektu 


a=(330,150)
b=(310,200)
c=(330,250)
obrazok1.create_line(a, b, c, width=1.5, tag='lomene')             # grafickým objektom môžeme prideľovať štítky pomocou parametra "tag"


x=(20,30)
y=(400,400)
id2=obrazok1.create_oval(x, y, outline='red')                      # ak by sa použil už skôr zavedený identifikátor "id1", stratili by sme identifikáciu pôvodného grafického objektu 

id3=obrazok1.create_polygon(a, c, y, fill='gray', tag='lomene')    # viacero grafických objektov môže mať ten istý štítok




obrazok1.delete(id1)                               # funkcia "delete" slúži na zrušenie grafického objektu z plochy a jej parametrom je identifikátor alebo štítok
obrazok1.delete('lomene')                          # pri tejto funkcii môžeme akokoľvek kombinovať identifikátory a štítky 
obrazok1.delete('all')                             # ak je parametrom funkcie "delete" reťazec 'all', tak zmaže všetky grafické objekty




obrazok1.move(id1, 350, 100)                       # funkcia "move" posúva grafický objekt a jej prvým parametrom je identifikátor, posun je v smere osi x o +350 a osi y o +100
obrazok1.move('lomene', -100, 300)                 # funkcia "move" posúva grafický objekt a jej prvým parametrom je štítok, posun je v smere osi x o -100 a osi y o +300
                                                   # nemôžeme vzájomne kombinovať viacero identifikátorov a štítkov
                                                   # ak je parametrom funkcie "move" reťazec 'all', tak posunie všetky grafické objekty




obrazok1.itemconfig(id1, width=10)                 # funkcia "itemconfig" mení nastavenie už vytvoreného grafického objektu a jej prvým parametrom je identifikátor alebo štítok
obrazok1.itemconfig('lomene', fill='green')        # nemôžeme vzájomne kombinovať viacero identifikátorov a štítkov
                                                   # ak je parametrom funkcie "itemconfig" reťazec 'all', tak zmení všetky grafické objekty




zoznam=[400,500,420,550,500,600,550,600]           # funkcia "coords" mení kompletnú postupnosť súradníc ako aj počet bodov útvaru pre lomenú čiaru a polygón
obrazok1.coords(id3, zoznam)                       # nemôžeme vzájomne kombinovať viacero identifikátorov a štítkov




##tkinter.mainloop()                               # grafická aplikácia, vďaka ktorej v operačnom systéme reaguje na klikanie, presúvanie, zmenu veľkost atď.
                                                   # pri spustení pod IDLE nie je tento príkaz potrebný
