# magnetická tabuľa na vykresľovanie lomenej čiary

import tkinter

obrazok2 = tkinter.Canvas(bg='white', width=600, height=700)                # "bg"-nastavenie farby pozadia, "width"-šírka, "height"-výška
obrazok2.pack()


x, y = 300, 350
zoznam = [x, y]
ciara = obrazok2.create_line(x, y, x, y)                                    # na začiatku prázdna čiara

def kresli(zmena_x, zmena_y):
    global x, y, zoznam                                                     # aby sme mohli zmeniť hodnoty globálnych premenných, musíme ich deklarovať globálne aj vo vnútri funkcie
    x += zmena_x
    y += zmena_y
    zoznam.append(x)                                                        # nové súradnice bodu lomenej čiary pridáme postupne na koniec zoznamu
    zoznam.append(y)  
    obrazok2.coords(ciara, zoznam)                                          # pomocou funkcie "coords(...,...)" zmeníme kompletnú postupnosť súradníc lomenej čiary
 
def vlavo(event):
    kresli(-10, 0)

def vpravo(event):
    kresli(10, 0)

def hore(event):
    kresli(0, -10)

def dole(event):
    kresli(0, 10)

def zmaz(event):
    global x, y, zoznam                                                     # aby sme mohli zmeniť hodnoty globálnych premenných, musíme ich deklarovať globálne aj vo vnútri funkcie 
    x,y=300,350
    zoznam = [x, y]
    obrazok2.coords(ciara, x, y, x, y)

obrazok2.bind_all('<Left>', vlavo)
obrazok2.bind_all('<Right>', vpravo)
obrazok2.bind_all('<Up>', hore)
obrazok2.bind_all('<Down>', dole)
obrazok2.bind_all('<Delete>', zmaz)




##tkinter.mainloop()                                                        # grafická aplikácia, vďaka ktorej v operačnom systéme reaguje na klikanie, presúvanie, zmenu veľkost atď.
                                                                            # pri spustení pod IDLE nie je tento príkaz potrebný
