# využitie cyklov pri vykresľovaní iteračných grafických objektov a generovanie prostredníctvom modulu "random"

import tkinter



obrazok2 = tkinter.Canvas(bg='white', width=700, height=800)                    # "bg"-nastavenie farby pozadia, "width"-šírka, "height"-výška
obrazok2.pack()
import math



s=300
R=200
obrazok2.create_oval(s-R, s-R, s+R, s+R, outline='red')                         # vytvorenie kružnice so stredom S[s,s] a polomerom R, premennú r si rezervujeme pre prácu s farbami
R=R/math.sqrt(2)                                                                # prepočítanie zmeny polomeru novej kružnice vpísanej štvorcu, ktorý je vpísaný do pôvodnej kružnice
                                                                                # pre použitie zložitejších operácií alebo funkcií musíme importovať modul "math"
obrazok2.create_rectangle(s-R, s-R, s+R, s+R)
obrazok2.create_oval(s-R+1, s-R+1, s+R-1, s+R-1, outline='blue')                # aby sme predišli prekrývaniu objektov, môžeme "máličko" pozmeniť vzdialenosti o +1 alebo -1
R=R/math.sqrt(2)
obrazok2.create_rectangle(s-R, s-R, s+R, s+R)
obrazok2.create_oval(s-R+1, s-R+1, s+R-1, s+R-1, outline='green')
R=R/math.sqrt(2)
obrazok2.create_rectangle(s-R, s-R, s+R, s+R)
obrazok2.create_oval(s-R+1, s-R+1, s+R-1, s+R-1, outline='yellow')
R=R/math.sqrt(2)
obrazok2.create_rectangle(s-R, s-R, s+R, s+R)
obrazok2.create_oval(s-R+1, s-R+1, s+R-1, s+R-1, outline='grey')




##for i in range(10):                                                          # využitie cyklu for pre vykresľovania iterovaných objektov
##   R=R/math.sqrt(2)
##   obrazok2.create_rectangle(s-R, s-R, s+R, s+R)    
##   obrazok2.create_oval(s-R+1, s-R+1, s+R-1, s+R-1)





import random
pocet = int(input('Zadaj prirodzene cislo ako pocet iteracii pre vykreslovanie vpisaneho stvorca a k nemu vpisanej kruznice: ')) 
for i in range(pocet):
    R=R/math.sqrt(2)
    r = random.randrange(256)                                                  # pre RGB model farieb potrebujeme kombináciu troch farieb a to: r-red, g-green, b-blue
    g = random.randrange(256)                                                  # zastúpenie jednotlivej farby vyjadríme číslom od 0 do 255
    b = random.randrange(256)                                                  # za účelom generovania musíme importovať modul "random"
    farba = f'#{r:02x}{g:02x}{b:02x}'                                          # formátovacím parametrom "02x" získané číslo prevedieme do 16-ovej sústavy s dvoma ciframi
                                                                               # a v prípade jednociferného čísla sa dané číslo doplní zľava 0
                                                                               # na začiatok musíme pridať znak #, aby to "tkinter" dokázal odlíšiť od mena farby


    obrazok2.create_rectangle(s-R, s-R, s+R, s+R, outline=farba)
    r = random.randrange(256)
    g = random.randrange(256)
    b = random.randrange(256)
    farba = f'#{r:02x}{g:02x}{b:02x}'
    obrazok2.create_oval(s-R+1, s-R+1, s+R-1, s+R-1, outline=farba)





x0, y0 = 100, 600
d = 50
for y in range(y0, 750, d):                                                   # vytvoríme 3 rady po 10 kruhov v jednom rade s rovnakými priemermi d=50 
    for x in range(x0, 600, d):                                                  
         r = random.randrange(256)                                               
         g = random.randrange(256)                                               
         b = random.randrange(256)                                               
         farba = f'#{r:02x}{g:02x}{b:02x}'                                        
         obrazok2.create_oval(x, y, x+d, y+d, fill=farba)                        
                                                                                 
                                                                              

  

##tkinter.mainloop()                                                          # grafická aplikácia, vďaka ktorej v operačnom systéme reaguje na klikanie, presúvanie, zmenu veľkost atď.
                                                                              # pri spustení pod IDLE nie je tento príkaz potrebný
